> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get discount curves



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/GetDiscountCurves
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/GetDiscountCurves:
    post:
      tags:
        - MarketData
      summary: Get discount curves
      operationId: GetDiscountCurves
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetDiscountCurvesRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetDiscountCurvesRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetDiscountCurvesRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetDiscountCurvesRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetDiscountCurvesResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetDiscountCurvesRequest:
      example:
        market_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        currencies:
          - currencies
          - currencies
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        currencies:
          items:
            type: string
          nullable: true
          type: array
        market_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetDiscountCurvesResponse:
      example:
        discount_curves:
          - curve_name: curve_name
            maturities:
              - 3
              - 3
            discount_factors:
              - 9.301444243932576
              - 9.301444243932576
            currency: currency
            extrapolate: true
            value_date: '2000-01-23T04:56:07.000+00:00'
          - curve_name: curve_name
            maturities:
              - 3
              - 3
            discount_factors:
              - 9.301444243932576
              - 9.301444243932576
            currency: currency
            extrapolate: true
            value_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        discount_curves:
          items:
            $ref: '#/components/schemas/DiscountCurve'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DiscountCurve:
      example:
        curve_name: curve_name
        maturities:
          - 3
          - 3
        discount_factors:
          - 9.301444243932576
          - 9.301444243932576
        currency: currency
        extrapolate: true
        value_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        provider_id:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        curve_name:
          nullable: true
          type: string
        discount_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        extrapolate:
          type: boolean
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        value_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.DiscountCurve, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````